Subject: Re: bug#64185: proposal for new function: copy-line

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jun 2023 14:07:15 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 23 Jun 2023 12:50:52 +0200
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> 23 juni 2023 kl. 12.28 skrev Eli Zaretskii <[email-masked]>:
> 
> > This is a new feature in Emacs 29, so adding customization
> > opportunities to it that allow fine control of its behavior is fine at
> > this stage.  Of course, if the proposal is controversial, we shouldn't
> > rush.  My impression till now was that it wasn't controversial.  If
> > the only issue is better documentation and/or whether the value should
> > be a number or a symbol, then I see no problem with installing this on
> > the release branch.
> 
> The new setting would be quite incomplete if it doesn't apply to the
> more general and useful duplicate-dwim as well.

It is? why?  The difference between these two commands is that
duplicate-dwim is sensitive to the active region, but in that case how
is it useful to talk about lines, given that region could be a part of
a line or several lines plus a part of the first and the last one?

So it sounds to me that we could easily leave duplicate-dwim as it is
now, i.e. disregard this option in that command.

Why isn't that "good enough" for Emacs 29?